Перейти к содержимому

Валюты

GET
/v2/company-currencies
curl --request GET \
--url https://api-admin.billz.ai/v2/company-currencies \
--header 'Authorization: Bearer <token>' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Коды ошибок: 401, 403, 429, 500 — общие для всех методов. Форматы тела и семантика — Коды ответов и ошибки.

platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Идентификатор платформы. Для интеграций используется статичное значение.

Успешный ответ

Media typeapplication/json
object
company_id
string
supply_currencies

Валюты закупки

Array<object>
object
id
string
company_id
string
type
string
code

USD, UZS, EUR

string
precision

Число знаков после запятой

integer format: int32
retail_currency

Валюта розницы

object
id
string
company_id
string
type
string
code

USD, UZS, EUR

string
precision

Число знаков после запятой

integer format: int32
cross_currencies
Array<object>
nullable
object
id
string
company_id
string
type
string
code

USD, UZS, EUR

string
precision

Число знаков после запятой

integer format: int32
additional_currencies
Array<object>
nullable
object
id
string
company_id
string
type
string
code

USD, UZS, EUR

string
precision

Число знаков после запятой

integer format: int32
currency_rates

{source_currency, target_currency, rate}

Array<object>
object
source_currency
string
target_currency
string
rate
number
Examplegenerated
{
"company_id": "example",
"supply_currencies": [
{
"id": "example",
"company_id": "example",
"type": "example",
"code": "example",
"precision": 1
}
],
"retail_currency": {
"id": "example",
"company_id": "example",
"type": "example",
"code": "example",
"precision": 1
},
"cross_currencies": [
{
"id": "example",
"company_id": "example",
"type": "example",
"code": "example",
"precision": 1
}
],
"additional_currencies": [
{
"id": "example",
"company_id": "example",
"type": "example",
"code": "example",
"precision": 1
}
],
"currency_rates": [
{
"source_currency": "example",
"target_currency": "example",
"rate": 1
}
]
}